## ev-print-operation ev-print-operation |

## Functions

gboolean | ev_print_operation_exists_for_document ()
EvPrintOperation * | ev_print_operation_new ()
void | ev_print_operation_set_current_page ()
void | ev_print_operation_set_print_settings ()
GtkPrintSettings * | ev_print_operation_get_print_settings ()
void | ev_print_operation_set_default_page_setup ()
GtkPageSetup * | ev_print_operation_get_default_page_setup ()
void | ev_print_operation_set_job_name ()
const gchar * | ev_print_operation_get_job_name ()
void | ev_print_operation_run ()
void | ev_print_operation_cancel ()
void | ev_print_operation_get_error ()
void | ev_print_operation_set_embed_page_setup ()
gboolean | ev_print_operation_get_embed_page_setup ()
const gchar * | ev_print_operation_get_status ()
gdouble | ev_print_operation_get_progress ()

## Properties

EvDocument * | document | Write / Construct Only

## Signals

void | begin-print | Run Last
void | done | Run Last
void | status-changed | Run Last

## Types and Values

| EvPrintOperation
| EvPrintOperationClass

## Object Hierarchy

        GObject
        ╰── EvPrintOperation

## Description

## Functions

### ev_print_operation_exists_for_document ()

    gboolean
    ev_print_operation_exists_for_document
                                   (EvDocument *document);

### ev_print_operation_new ()

    EvPrintOperation *
    ev_print_operation_new (EvDocument *document);

### ev_print_operation_set_current_page ()

    void
    ev_print_operation_set_current_page (EvPrintOperation *op,
                                         gint current_page);

### ev_print_operation_set_print_settings ()

    void
    ev_print_operation_set_print_settings (EvPrintOperation *op,
                                           GtkPrintSettings *print_settings);

### ev_print_operation_get_print_settings ()

    GtkPrintSettings *
    ev_print_operation_get_print_settings (EvPrintOperation *op);

#### Parameters

op | an EvPrintOperation |

#### Returns

a GtkPrintSettings.

[transfer none]

### ev_print_operation_set_default_page_setup ()

    void
    ev_print_operation_set_default_page_setup
                                   (EvPrintOperation *op,
                                    GtkPageSetup *page_setup);

### ev_print_operation_get_default_page_setup ()

    GtkPageSetup *
    ev_print_operation_get_default_page_setup
                                   (EvPrintOperation *op);

#### Parameters

op | an EvPrintOperation |

#### Returns

a GtkPageSetup.

[transfer none]

### ev_print_operation_set_job_name ()

    void
    ev_print_operation_set_job_name (EvPrintOperation *op,
                                     const gchar *job_name);

### ev_print_operation_get_job_name ()

    const gchar *
    ev_print_operation_get_job_name (EvPrintOperation *op);

### ev_print_operation_run ()

    void
    ev_print_operation_run (EvPrintOperation *op,
                            GtkWindow *parent);

### ev_print_operation_cancel ()

    void
    ev_print_operation_cancel (EvPrintOperation *op);

### ev_print_operation_get_error ()

    void
    ev_print_operation_get_error (EvPrintOperation *op,
                                  GError **error);

### ev_print_operation_set_embed_page_setup ()

    void
    ev_print_operation_set_embed_page_setup
                                   (EvPrintOperation *op,
                                    gboolean embed);

### ev_print_operation_get_embed_page_setup ()

    gboolean
    ev_print_operation_get_embed_page_setup
                                   (EvPrintOperation *op);

### ev_print_operation_get_status ()

    const gchar *
    ev_print_operation_get_status (EvPrintOperation *op);

### ev_print_operation_get_progress ()

    gdouble
    ev_print_operation_get_progress (EvPrintOperation *op);

## Types and Values

### EvPrintOperation

    typedef struct _EvPrintOperation EvPrintOperation;

### EvPrintOperationClass

    typedef struct _EvPrintOperationClass EvPrintOperationClass;

## Property Details

### The `“document”` property

      “document”                 EvDocument *

The document to print.

Flags: Write / Construct Only

## Signal Details

### The `“begin-print”` signal

    void
    user_function (EvPrintOperation *evprintoperation,
                   gpointer          user_data)

Flags: Run Last

### The `“done”` signal

    void
    user_function (EvPrintOperation       *evprintoperation,
                   GtkPrintOperationResult arg1,
                   gpointer                user_data)

Flags: Run Last

### The `“status-changed”` signal

    void
    user_function (EvPrintOperation *evprintoperation,
                   gpointer          user_data)

Flags: Run Last